
QGIS Application - Bug report #3861

QGis cannot be started

2011-06-01 01:12 AM - robertzederik -

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13919

Description

I've installed QGis on my windows XP machine, however when trying to startup, I get the following error message:

Entrypoint not found procedure TIFFMErgeFieldInfo for DLL libtiff.dll

Any idea how to fix this? I've tried reinstalling several times, even using CCleaner to fix the registry etc..

History

#1 - 2011-06-01 01:35 AM - Even Rouault

This could perhaps be related with http://trac.osgeo.org/geotiff/ticket/39#comment:1 if your libtiff.dll was generated in the short period where

TIFFMergeFieldInfo has bee n removed before being reintroduced ?

#2 - 2011-06-01 01:47 AM - robertzederik -

Possibly... Any idea how I can fix this?

#3 - 2011-06-01 02:34 AM - Even Rouault

Well, contact the entity that has provided you with those binaries... (not me ;-))

#4 - 2011-06-01 02:43 AM - peppo -

Replying to [comment:2 robertzederik]:

Possibly... Any idea how I can fix this?

This sounds to me like a conflict of several versions of libtiff.dll. You can try to resolve this by the following:

check if there is a libtiff.dll in your windows/system32 folder

if there is one rename it to libtiff.dll.bak

copy the libtiff.dll from the qgis install dir to windows/system32

this possibly affects other programs which need the (older/different) version of libtiff.dll, in this case you have to reverse your actions.

I heared, this is called the windows dll hell.
#5 - 2011-06-04 05:00 PM - Jürgen Fischer

- Resolution set to fixed

See also http://lists.osgeo.org/pipermail/qgis-user/2011-June/012308.html

#6 - 2011-07-22 09:39 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)
